Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: Kdenlive - No sound (help setting up)

  1. #1

    Default Kdenlive - No sound (help setting up)

    Hi Everyone,

    I have OpenSUSE 13.1, Kdenlive ver 0.9.6 I installed Kdenlive and opened a clip, but there is no sound. I have a feeling that I don't have all codecs? set up properly. I am happy to provide information to resolve this. I would be grateful for any help or do I need to be in the Kdenlive.org forum?

  2. #2

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by nappy501 View Post
    I have OpenSUSE 13.1, Kdenlive ver 0.9.6 I installed Kdenlive and opened a clip, but there is no sound. I have a feeling that I don't have all codecs? set up properly. I am happy to provide information to resolve this. I would be grateful for any help or do I need to be in the Kdenlive.org forum?
    You're better off here anyway, as restricted codecs support is highly distribution specific.

    First, add the "Packman" repo if you haven't done so already, by entering YaST->Software Repositories, clicking on "Add", then choosing "Community Repositories", and enabling it in the list.
    Then enter YaST->Software Management, and do a "full repository vendor switch update" to the Packman repo to get a libmlt-modules with full codec support:
    http://en.opensuse.org/SDB:Vendor_ch..._Vendor_change

    If your problem is codec-related, it should be solved then.

  3. #3

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by wolfi323 View Post
    You're better off here anyway, as restricted codecs support is highly distribution specific.

    First, add the "Packman" repo if you haven't done so already, by entering YaST->Software Repositories, clicking on "Add", then choosing "Community Repositories", and enabling it in the list.
    Then enter YaST->Software Management, and do a "full repository vendor switch update" to the Packman repo to get a libmlt-modules with full codec support:
    http://en.opensuse.org/SDB:Vendor_ch..._Vendor_change

    If your problem is codec-related, it should be solved then.
    I think I have made a mess of my repositories. See here: http://susepaste.org/81568965

    I was trying to watch Lovefilm Instant, but I never got it to work. Which Packman do I need?

    I did try the repository switch, but the first option with the conflict resolution was uninstall a lot of programmes, including Kdenlive.

  4. #4

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by nappy501 View Post
    I think I have made a mess of my repositories. See here: http://susepaste.org/81568965
    That's not really a mess.
    You just have Packman and the libdvdcss repo twice in there.
    You can remove one copy of each, but it shouldn't give any problem.

    I was trying to watch Lovefilm Instant, but I never got it to work.
    What's Lovefile Instant?
    Is that a stream? Or a video file?
    With what player/browser did you want to watch it?

    Which Packman do I need?
    Each of those you have should be fine. Both are just different mirrors of the same repo.
    You can of course remove one, as already mentioned. It doesn't make sense to have both.

    I did try the repository switch, but the first option with the conflict resolution was uninstall a lot of programmes, including Kdenlive.
    You should always choose to "install xxx (with vendor change)" if possible.
    Could you post a screenshot of the options?

    Or, if you find that easier, you could run "sudo zypper dup --from 2" in a terminal and copy/paste the text.

  5. #5

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by wolfi323 View Post

    What's Lovefile Instant?
    Is that a stream? Or a video file?
    With what player/browser did you want to watch it?

    Ah! Spelt it wrong Lovefilm. We used to have video shops, but all of the ones where I live have shut down. Now you either borrow DVD's from the public library or rent DVD's by post. Lovefilm (which is now owned by Amazon) is renting DVD's by post, but they also have something called Lovefilm Instant, where you can watch films online.

    I tried to get it to work, if I remember correctly with Pipelight, but I didn't get very far. I am running Firefox, but I think it works with Chrome also. I am in the UK.

    But lets not worry about that. It is this Kdenlive I would like to get working my DD wants to be a Youtube star, but I am unable to edit her videos.

  6. #6

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by nappy501 View Post
    Ah! Spelt it wrong Lovefilm.
    Yeah, sorry.
    That was a typing mistake.

    So it's a kind of online stream, only viewable with pipelight?
    Well, I cannot help you with that anyway, I'm afraid. Never used that myself...

    But lets not worry about that. It is this Kdenlive I would like to get working my DD wants to be a Youtube star, but I am unable to edit her videos.
    Ok.
    If you install libmlt6-modules from Packman, you should have all necessary codecs.
    The vendor change should assure that. So please try that again, and post the conflict if in doubt.

    The two additional repos (home:Knurpht:pipeline and windows:mingw:win32) shouldn't have any influence on that.
    Last edited by wolfi323; 06-Jun-2014 at 14:39.

  7. #7

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by wolfi323 View Post

    You should always choose to "install xxx (with vendor change)" if possible.
    Could you post a screenshot of the options?

    Or, if you find that easier, you could run "sudo zypper dup --from 2" in a terminal and copy/paste the text.
    This is what the conflict looks like:
    http://susepaste.org/24462824

    Code:
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    8 Problems:
    Problem: libavfilter3-2.1.2-2.1.i586 requires libavutil52 = 2.1.2, but this requirement cannot be provided
    Problem: problem with installed package glibc-extra-2.18-4.15.1.i586
    Problem: problem with installed package glibc-locale-2.18-4.15.1.i586
    Problem: problem with installed package nscd-2.18-4.15.1.i586
    Problem: problem with installed package kernel-desktop-3.11.10-11.1.i686
    Problem: ffmpeg-2.1.2-2.1.i586 requires libswscale2 = 2.1.2, but this requirement cannot be provided
    Problem: libavcodec55-2.1.2-2.1.i586 requires libvpx1 >= 1.3.0, but this requirement cannot be provided
    Problem: wine-pipelight-1.7.15-370.1.i586 requires wine-gecko >= 2.24, but this requirement cannot be provided
    
    Problem: libavfilter3-2.1.2-2.1.i586 requires libavutil52 = 2.1.2, but this requirement cannot be provided
      deleted providers: libavutil52-2.1.2-2.1.i586
     Solution 1: Following actions will be done:
      deinstallation of libavfilter3-2.1.2-2.1.i586
      deinstallation of libswresample0-2.1.2-2.1.i586
      deinstallation of libavdevice55-2.1.2-2.1.i586
      deinstallation of libavformat55-2.1.2-2.1.i586
      deinstallation of libpostproc52-2.1.2-2.1.i586
     Solution 2: keep obsolete libavutil52-2.1.2-2.1.i586
     Solution 3: break libavfilter3-2.1.2-2.1.i586 by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c):

  8. #8

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by nappy501 View Post
    This is what the conflict looks like:
    http://susepaste.org/24462824

    Code:
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    8 Problems:
    Problem: libavfilter3-2.1.2-2.1.i586 requires libavutil52 = 2.1.2, but this requirement cannot be provided
    Problem: problem with installed package glibc-extra-2.18-4.15.1.i586
    Problem: problem with installed package glibc-locale-2.18-4.15.1.i586
    Problem: problem with installed package nscd-2.18-4.15.1.i586
    Problem: problem with installed package kernel-desktop-3.11.10-11.1.i686
    Problem: ffmpeg-2.1.2-2.1.i586 requires libswscale2 = 2.1.2, but this requirement cannot be provided
    Problem: libavcodec55-2.1.2-2.1.i586 requires libvpx1 >= 1.3.0, but this requirement cannot be provided
    Problem: wine-pipelight-1.7.15-370.1.i586 requires wine-gecko >= 2.24, but this requirement cannot be provided
    
    Problem: libavfilter3-2.1.2-2.1.i586 requires libavutil52 = 2.1.2, but this requirement cannot be provided
      deleted providers: libavutil52-2.1.2-2.1.i586
     Solution 1: Following actions will be done:
      deinstallation of libavfilter3-2.1.2-2.1.i586
      deinstallation of libswresample0-2.1.2-2.1.i586
      deinstallation of libavdevice55-2.1.2-2.1.i586
      deinstallation of libavformat55-2.1.2-2.1.i586
      deinstallation of libpostproc52-2.1.2-2.1.i586
     Solution 2: keep obsolete libavutil52-2.1.2-2.1.i586
     Solution 3: break libavfilter3-2.1.2-2.1.i586 by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c):
    Ah, ok.
    That's because ffmpeg got updated to version 2.2 a while ago which includes libavfilter4. But that conflicts with libavfilter3 (which doesn't exist any more in the repo), so you should uninstall that. (Solution 1)

    The kernel-desktop problem are probably caused by the nvidia packages. Those had a wrong dependency that has been fixed already, but the fixed packages are not yet in the repo.

    The other problems sound a bit strange though.

    Please select Solution 1, and post the next conflict if there is one. Maybe that provides more clues to what's going wrong then.

  9. #9

    Default Re: Kdenlive - No sound (help setting up)

    On thinking about this, it might be caused by an outdated/incorrect zypper cache.
    So try to remove that cache:
    Code:
    sudo rm -r /var/cache/zypp/
    And have you removed the two duplicated repos already in the meantime?
    In that case, the repo numbers of the remaining repos might have changed, so "sudo zypper dup --from 2" might not be the correct command any more.
    So please post your repo list again to verify.
    Code:
    zypper lr -d
    I would prefer to stay with zypper, as it's easier to post I think.
    Last edited by wolfi323; 06-Jun-2014 at 15:00.

  10. #10

    Default Re: Kdenlive - No sound (help setting up)

    Quote Originally Posted by wolfi323 View Post
    On thinking about this, it might be caused by an outdated/incorrect zypper cache.
    So try to remove that cache:
    Code:
    sudo rm -r /var/cache/zypp/
    And have you removed the two duplicated repos already in the meantime?
    In that case, the repo numbers of the remaining repos might have changed, so "sudo zypper dup --from 2" might not be the correct command any more.
    So please post your repo list again to verify.
    Code:
    zypper lr -d
    I would prefer to stay with zypper, as it's easier to post I think.
    This is what my software repos look like now:
    http://susepaste.org/53694772

    And then the zypper command:
    Code:
    zypper lr -d
    #  | Alias                         | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                               | Service
    ---+-------------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------------+--------
     1 | download.opensuse.org-non-oss | Main Repository (NON-OSS)          | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/                      |        
     2 | download.opensuse.org-oss     | Main Repository (OSS)              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                          |        
     3 | ftp.gwdg.de-suse              | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/                          |        
     4 | home:Knurpht:pipelight        | home:Knurpht:pipelight             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Knurpht:/pipelight/openSUSE_13.1/ |        
     5 | openSUSE-13.1-1.10            | openSUSE-13.1-1.10                 | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                          |        
     6 | opensuse-guide.org-repo       | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                              |        
     7 | repo-debug                    | openSUSE-13.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/                    |        
     8 | repo-debug-update             | openSUSE-13.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                                   |        
     9 | repo-debug-update-non-oss     | openSUSE-13.1-Update-Debug-Non-Oss | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/                           |        
    10 | repo-source                   | openSUSE-13.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/                   |        
    11 | repo-update                   | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                                         |        
    12 | repo-update-non-oss           | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/                                 |        
    13 | windows:mingw:win32           | windows:mingw:win32                | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win32/openSUSE_13.1/    |
    This is showing the conflict:
    http://susepaste.org/65717077

    I'm not sure if I am keeping up with what you are asking me to do? I am really sorry, just repeat yourself, I am going to look at this again in the morning. Thank you.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •